<?php

use function DI\create;
use function DI\get;

use RprtCli\Commands\RprtCommand;
use RprtCli\Utils\CsvReport\CsvReport;
use RprtCli\Utils\CsvReport\CsvReportInterface;

return [
  \GuzzleHttp\ClientInterface::class => DI\get(\GuzzleHttp\Client::class),
  CsvReportInterface::class => DI\get(CsvReport::class),
  RprtCommand::class => DI\create()->constructor(
    DI\get(CsvReportInterface::class)
  )
];
