#!/usr/bin/env php
<?php

use Symfony\Component\Console\Application;
use RprtCli\Commands\RprtCommand;
use DI\ContainerBuilder;

require __DIR__ . '/vendor/autoload.php';

$builder = new ContainerBuilder();
$builder->addDefinitions('dependencies.php');
$container = $builder->build();
$application = new Application();

$rprtCommand = $container->get(RprtCommand::class);
$application->add($rprtCommand);

$application->run();
