<?php

namespace RprtCli\Utils\CsvReport;


/**
 * Handles creating report data from csv file downloaded from youtrack service.
 */
interface CsvReportInterface {

    /**
     * Gets project configuration and parses the data.
     *
     * Calculate number of hours per project.
     */
    // protected function parseCsvFile(array $data): array;

    /**
     * Returns array of hours per configured projects.
     */
    public function getReportData(string $file_path): array;
}
